org.apache.lucene.search.join

## Class SeekingTermSetTermsEnum

- java.lang.Object
- - org.apache.lucene.index.TermsEnum
  - - org.apache.lucene.index.FilteredTermsEnum
    - - org.apache.lucene.search.join.SeekingTermSetTermsEnum

All Implemented Interfaces:
  BytesRefIterator

    public class SeekingTermSetTermsEnum
    extends FilteredTermsEnum

A filtered TermsEnum that uses a BytesRefHash as a filter

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.index.FilteredTermsEnum

`FilteredTermsEnum.AcceptStatus`

### Nested classes/interfaces inherited from class org.apache.lucene.index.TermsEnum

`TermsEnum.SeekStatus`

### Field Summary

### Fields inherited from class org.apache.lucene.index.FilteredTermsEnum

`actualTerm, tenum`

### Fields inherited from class org.apache.lucene.index.TermsEnum

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`SeekingTermSetTermsEnum(TermsEnum tenum, BytesRefHash terms, int[] ords)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`protected FilteredTermsEnum.AcceptStatus` `accept(BytesRef term)`
`protected BytesRef` `nextSeekTerm(BytesRef currentTerm)`

### Methods inherited from class org.apache.lucene.index.FilteredTermsEnum

`attributes, docFreq, impacts, next, ord, postings, seekCeil, seekExact, seekExact, seekExact, setInitialSeekTerm, term, termState, totalTermFreq`

### Methods inherited from class org.apache.lucene.index.TermsEnum

`postings`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SeekingTermSetTermsEnum

    public SeekingTermSetTermsEnum(TermsEnum tenum,
                                   BytesRefHash terms,
                                   int[] ords)

Constructor

### Method Detail

#### nextSeekTerm

    protected BytesRef nextSeekTerm(BytesRef currentTerm)
                             throws IOException

Overrides:
  `nextSeekTerm` in class `FilteredTermsEnum`
Throws:
  `IOException`

#### accept

    protected FilteredTermsEnum.AcceptStatus accept(BytesRef term)
                                             throws IOException

Specified by:
  `accept` in class `FilteredTermsEnum`
Throws:
  `IOException`